Skip to main content
GET
/
v1
/
metric
/
policies
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const metricPolicies = await client.metricPolicy.list();

console.log(metricPolicies.data);
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": "SYSTEM",
      "status": "ACTIVE",
      "conditions": [
        {
          "conditions": [
            {
              "conditionType": "AGENT",
              "conditionKey": "<string>",
              "conditionOperator": "EQUALS",
              "conditionValue": "<string>"
            }
          ]
        }
      ],
      "metrics": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of policies to return (default: 20, max: 50)

Required range: 1 <= x <= 50
Example:

20

after
string

Cursor for pagination - use the nextCursor value from a previous response

status
enum<string>

Filter by policy status

Available options:
ACTIVE,
INACTIVE

Response

Paginated list of metric policies

Paginated list of metric policies

data
object[]
required
pagination
object
required